MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030437Open CASCADE[OCCT] OCCT:Visualizationpublic2019-01-10 15:052019-01-12 14:42
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030437: Visualization, TKV3d - add Draw command to print rendering statistics
DescriptionNew command "vstatprofiler" should be added to manage rendering parameters and print them. If there are some input parameters - print corresponding statistic counters values, else - print all performance counters set previously.
Steps To Reproducebugs/vis/bug30437
bugs/vis/bug30437_1
TagsNo tags attached.
Test case numberbugs/vis/bug30437, bugs/vis/bug30437_1
Attached Files

- Relationships

-  Notes
(0081729)
git (administrator)
2019-01-10 17:29

Branch CR30437 has been created by osa.

SHA-1: 290f4d966e0713c8e517934604ad80509ef1bae3


Detailed log of new commits:

Author: osa
Date: Thu Jan 10 17:25:48 2019 +0300

    0030437: Visualization, TKV3d - add Draw command to print rendering statistics.
    
    Add new command "vstatprofiler" to manage rendering parameters and print them. If there are some input parameters - print corresponding statistic counters values, else - print all performance counters set previously.
(0081730)
osa (developer)
2019-01-10 17:30

Dear Kirill, please review.
(0081739)
git (administrator)
2019-01-10 23:38

Branch CR30437 has been updated by kgv.

SHA-1: 369463316b0577b96f46738d5c90f8e0d349ee80


Detailed log of new commits:

Author: kgv
Date: Thu Jan 10 23:35:12 2019 +0300

    # corrections

(0081740)
git (administrator)
2019-01-10 23:40

Branch CR30437_1 has been created by kgv.

SHA-1: 0ae4ef61cf73ae4c6823c4015c2ce8d0496e7309


Detailed log of new commits:

Author: osa
Date: Thu Jan 10 17:25:48 2019 +0300

    0030437: Visualization, TKV3d - add Draw command to print rendering statistics
    
    Add new command "vstatprofiler" to manage rendering parameters and print them.
    If there are some input parameters - print corresponding statistic counters values,
    else - print all performance counters set previously.
(0081741)
kgv (developer)
2019-01-10 23:40

Please take the patch.
(0081748)
bugmaster (administrator)
2019-01-11 10:43

Combination -
OCCT branch : CR30437_1 SHA - 0ae4ef61cf73ae4c6823c4015c2ce8d0496e7309
Products branch : master SHA - 0b9df64a156abd5cbfbfccb15967b46cdabfe1f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16346.009999999957 / 16388.860000000008 [-0.26%]
Products
Total CPU difference: 7151.470000000025 / 7172.62000000003 [-0.29%]
Windows-64-VC14:
OCCT
Total CPU difference: 17761.9375 / 17753.9375 [+0.05%]
Products
Total CPU difference: 8593.0625 / 8592.53125 [+0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081760)
git (administrator)
2019-01-12 14:42

Branch CR30437_1 has been deleted by inv.

SHA-1: 0ae4ef61cf73ae4c6823c4015c2ce8d0496e7309
(0081761)
git (administrator)
2019-01-12 14:42

Branch CR30437 has been deleted by inv.

SHA-1: 369463316b0577b96f46738d5c90f8e0d349ee80

- Related Changesets
occt: master 79b544e6
Timestamp: 2019-01-10 14:25:48
Author: osa
Committer: bugmaster
Details ] Diff ]
0030437: Visualization, TKV3d - add Draw command to print rendering statistics

Add new command "vstatprofiler" to manage rendering parameters and print them.
If there are some input parameters - print corresponding statistic counters values,
else - print all performance counters set previously.
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_FrameStats.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_FrameStats.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug30437 Diff ] File ]
add - tests/bugs/vis/bug30437_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-01-10 15:05 osa New Issue
2019-01-10 15:05 osa Assigned To => kgv
2019-01-10 15:05 osa Assigned To kgv => osa
2019-01-10 15:05 osa Status new => assigned
2019-01-10 15:18 kgv Summary Visualization, TKV3d - add Draw command to print rendering parameters => Visualization, TKV3d - add Draw command to print rendering statistics
2019-01-10 17:29 git Note Added: 0081729
2019-01-10 17:30 osa Note Added: 0081730
2019-01-10 17:30 osa Assigned To osa => kgv
2019-01-10 17:30 osa Status assigned => resolved
2019-01-10 17:30 osa Steps to Reproduce Updated View Revisions
2019-01-10 23:38 git Note Added: 0081739
2019-01-10 23:40 git Note Added: 0081740
2019-01-10 23:40 kgv Note Added: 0081741
2019-01-10 23:40 kgv Assigned To kgv => bugmaster
2019-01-10 23:40 kgv Status resolved => reviewed
2019-01-11 10:40 bugmaster Test case number => bugs/vis/bug30437, bugs/vis/bug30437_1
2019-01-11 10:43 bugmaster Note Added: 0081748
2019-01-11 10:43 bugmaster Status reviewed => tested
2019-01-12 14:34 bugmaster Changeset attached => occt master 79b544e6
2019-01-12 14:34 bugmaster Status tested => verified
2019-01-12 14:34 bugmaster Resolution open => fixed
2019-01-12 14:42 git Note Added: 0081760
2019-01-12 14:42 git Note Added: 0081761


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker